Subject: bug#59748: task init:1 blocked

From: Christopher Howard <[email-masked]>
Date: Thu, 1 Dec 2022 11:42:29 -0900

I did a system reconfigure today, and I have a boot failure when I use the new system profile. More specifically, after I load the kernel (6.0.10) then I get to a boot message that the kernel modules are loading. If I wait long enough, eventually I get a message "task init:1 blocked for more than 120 seconds", which repeats every two minutes or so. The keyboard still works (I can enter a newline and watch the cursor move) but I cannot enter commands. I am using a LUKS encrypted system, and the hangup occurs in between the point were the (initially decrypted) kernel loads and the time when I would enter the password to unlock the main filesystem.

My last system upgrade was on October 31. That profile still works.

I will attach my system manifest file.

Here is my system information (running under the old profile):

```
christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.19.17-gnu 
Uptime: 19 mins 
Packages: 93 (guix-system), 182 (guix-user) 
Shell: bash 5.1.8 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 1425MiB / 7867MiB 
```

Here is the guix commit I pulled:

```
christopher@theoden ~$ guix describe
Generation 42	Dec 01 2022 08:57:30	(current)
  guix df25165
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: df25165530352161d6110466b2c9dbae7dc7e282
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ